Parameters (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.http.Parameters class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http
Class Parameters

    java.lang.Object
      org.apache.tomcat.util.collections.MultiMap
          org.apache.tomcat.util.http.Parameters

    public final class Parameters

extends MultiMap

Author:
  Costin Manolache

Field Summary
`static int` | `INITIAL_SIZE`

Fields inherited from class org.apache.tomcat.util.collections.MultiMap
`count, fields`

Constructor Summary
`Parameters()`

Method Summary
`void` | `addParameterValues(java.lang.String key, java.lang.String[] newValues)`
`Parameters` | `getCurrentSet()`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Enumeration` | `getParameterNames()`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`void` | `handleQueryParameters()` Process the query string into parameters
`java.lang.String` | `paramsAsString()` Debug purpose
`void` | `pop()` Discard the last child.
`void` | `processParameters(byte[] bytes, int start, int len)`
`void` | `processParameters(byte[] bytes, int start, int len, java.lang.String enc)`
`void` | `processParameters(char[] chars, int start, int len)`
`void` | `processParameters(MessageBytes data)`
`void` | `processParameters(MessageBytes data, java.lang.String encoding)`
`void` | `processParameters(java.lang.String str)` Used by RequestDispatcher
`void` | `push()` Create ( or reuse ) a child that will be used during a sub-request.
`void` | `recycle()` Clears all header fields.
`void` | `setEncoding(java.lang.String s)`
`void` | `setHeaders(MimeHeaders headers)`
`void` | `setQuery(MessageBytes queryMB)`
`void` | `setQueryStringEncoding(java.lang.String s)`
`void` | `setURLDecoder(UDecoder u)`

Methods inherited from class org.apache.tomcat.util.collections.MultiMap
`addField, find, findFirst, findIgnoreCase, findNext, get, getName, getValue, remove, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIAL_SIZE

    public static final int INITIAL_SIZE

See Also:
  Constant Field Values

Constructor Detail

### Parameters

    public Parameters()

Method Detail

### setQuery

    public void setQuery(MessageBytes queryMB)

### setHeaders

    public void setHeaders(MimeHeaders headers)

### setEncoding

    public void setEncoding(java.lang.String s)

### setQueryStringEncoding

    public void setQueryStringEncoding(java.lang.String s)

### recycle

    public void recycle()

  Description copied from class: `MultiMap`
  Clears all header fields.

  Overrides:
    `recycle` in class `MultiMap`

### getCurrentSet

    public Parameters getCurrentSet()

### push

    public void push()

  Create ( or reuse ) a child that will be used during a sub-request. All future changes ( setting query string, adding parameters ) will affect the child ( the parent request is never changed ). Both setters and getters will return the data from the deepest child, merged with data from parents.

### pop

    public void pop()

  Discard the last child. This happens when we return from a sub-request and the parameters are locally modified.

### addParameterValues

    public void addParameterValues(java.lang.String key,
                                   java.lang.String[] newValues)

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

### getParameterNames

    public java.util.Enumeration getParameterNames()

### getParameter

    public java.lang.String getParameter(java.lang.String name)

### handleQueryParameters

    public void handleQueryParameters()

  Process the query string into parameters

### setURLDecoder

    public void setURLDecoder(UDecoder u)

### processParameters

    public void processParameters(byte[] bytes,
                                  int start,
                                  int len)

### processParameters

    public void processParameters(byte[] bytes,
                                  int start,
                                  int len,
                                  java.lang.String enc)

### processParameters

    public void processParameters(char[] chars,
                                  int start,
                                  int len)

### processParameters

    public void processParameters(MessageBytes data)

### processParameters

    public void processParameters(MessageBytes data,
                                  java.lang.String encoding)

### paramsAsString

    public java.lang.String paramsAsString()

  Debug purpose

### processParameters

    public void processParameters(java.lang.String str)

  Used by RequestDispatcher

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.